Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.webservice
Class PebbleAtomHandler

    java.lang.Object
      net.sourceforge.pebble.webservice.PebbleAtomHandler

    public class PebbleAtomHandler

extends java.lang.Object

Implementation of a handler for the Atom Publishing Protocol.

Author:
  Simon Brown

Constructor Summary
`PebbleAtomHandler()`

Method Summary
`void` | `deleteEntry(java.lang.String[] strings)`
`java.lang.String` | `getAuthenticatedUsername()`
`Feed` | `getCollection(java.lang.String[] strings)`
`Entry` | `getEntry(java.lang.String[] strings)`
`AtomService` | `getIntrospection()`
`boolean` | `isCollectionURI(java.lang.String[] strings)`
`boolean` | `isEntryURI(java.lang.String[] strings)`
`boolean` | `isIntrospectionURI(java.lang.String[] strings)`
`boolean` | `isMediaEditURI(java.lang.String[] strings)`
`Entry` | `postEntry(java.lang.String[] strings, Entry entry)`
`Entry` | `postMedia(java.lang.String[] strings, java.lang.String string, java.lang.String string1, java.lang.String string2, java.io.InputStream inputStream)`
`Entry` | `putEntry(java.lang.String[] strings, Entry entry)`
`Entry` | `putMedia(java.lang.String[] strings, java.lang.String string, java.io.InputStream inputStream)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PebbleAtomHandler

    public PebbleAtomHandler()

Method Detail

### getAuthenticatedUsername

    public java.lang.String getAuthenticatedUsername()

### getIntrospection

    public AtomService getIntrospection()
                                 throws AtomException

  Throws:
    `AtomException`

### getCollection

    public Feed getCollection(java.lang.String[] strings)
                       throws AtomException

  Throws:
    `AtomException`

### postEntry

    public Entry postEntry(java.lang.String[] strings,
                           Entry entry)
                    throws AtomException

  Throws:
    `AtomException`

### getEntry

    public Entry getEntry(java.lang.String[] strings)
                   throws AtomException

  Throws:
    `AtomException`

### putEntry

    public Entry putEntry(java.lang.String[] strings,
                          Entry entry)
                   throws AtomException

  Throws:
    `AtomException`

### deleteEntry

    public void deleteEntry(java.lang.String[] strings)
                     throws AtomException

  Throws:
    `AtomException`

### postMedia

    public Entry postMedia(java.lang.String[] strings,
                           java.lang.String string,
                           java.lang.String string1,
                           java.lang.String string2,
                           java.io.InputStream inputStream)
                    throws AtomException

  Throws:
    `AtomException`

### putMedia

    public Entry putMedia(java.lang.String[] strings,
                          java.lang.String string,
                          java.io.InputStream inputStream)
                   throws AtomException

  Throws:
    `AtomException`

### isIntrospectionURI

    public boolean isIntrospectionURI(java.lang.String[] strings)

### isCollectionURI

    public boolean isCollectionURI(java.lang.String[] strings)

### isEntryURI

    public boolean isEntryURI(java.lang.String[] strings)

### isMediaEditURI

    public boolean isMediaEditURI(java.lang.String[] strings)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.